Download it now!
Bug 43548 - Images lose both title and description (text alternatives) when exporting ODF to MS binary format
Summary: Images lose both title and description (text alternatives) when exporting ODF...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility, filter:ppt
Depends on:
Blocks: a11y MSO-Formats
  Show dependency treegraph
 
Reported: 2011-12-06 04:14 UTC by Christophe Strobbe
Modified: 2019-10-23 05:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Strobbe 2011-12-06 04:14:48 UTC
When exporting ODP from Impress to the Microsoft PowerPoint format PPT, both the title and the description (text alternatives for accessibility) on images is lost.

Steps to reproduced the issue:
1. Create a new presentation in Impress.
2. Add an image and give it only a title (right-click, choose "Description" from the context menu and fill in "Title").
3. Add an image and give it only a description (right-click, choose "Description" and fill in "Description").
4. Add an image and give it both a title and a description (right-click, choose "Description" and fill in both fields in the dialog window).
5. Save the file as "Microsoft PowerPoint 97/2000/XP/2003 (.ppt)".
6. Open the PPT file in Microsoft PowerPoint, right-click on each image, choose "Format picture", then "Alt text": both the Title field and the Description field are empty.

Note: you can give images a name (so they become visible in the Navigator), but this does not make a difference.

Desired behaviour:
When exporting to PPT, ODF's title and description should be mapped to
PowerPoint's title and description.

For a test file, see the one attached to bug 43547.
Comment 1 Christophe Strobbe 2012-01-27 06:06:47 UTC
Version info was previously LibO 3.4.3. I confirm that this bug is still
present in LibreOffice 3.5.0 RC1. Changing status from UNCONFIRMED to NEW.
Comment 2 retired 2014-08-25 10:24:09 UTC
Is this bug still valid / reproducible with the latest LO release?
http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED(NEW since uncinformed is not available). Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.

If you re-open this, do not forget to attach a test file for easier testing.
Comment 3 retired 2014-08-25 10:28:57 UTC
Sorry, just found the test file. I was irritated because your steps start with "create new presentation" while it should have been "open test file".

Can confirm that after saving as PPT file the navigator no longer shows what it shows when opening odp test file.

So NEW and Platform is All since i just confirmed this on OSX 10.9.4, LO 4.3.1.
Comment 4 QA Administrators 2015-09-04 02:49:25 UTC Comment hidden (obsolete)
Comment 5 Yousuf Philips (jay) (retired) 2016-09-07 03:27:31 UTC
I assume that once bug 43547 is fixed, it will automatically fix this issue.
Comment 6 QA Administrators 2018-10-22 02:47:24 UTC Comment hidden (obsolete)
Comment 7 Christophe Strobbe 2018-10-22 14:39:59 UTC
I retested this in LibreOffice Impress 6.1.2.1 on Manjaro Linux; the issue is still present when exporting to PPTX (but now when exporting to the older PPT format). Both Title and Description are empty after exporting to PPTX ("PowerPoint 2007-2019").

The only difference in the process is that you need to select 'Description' from the Format menu in order to access the Title and Description, instead of using the context menu.
Comment 8 Christophe Strobbe 2018-10-22 14:51:36 UTC
My previous comment should just have said that the issue no longer exists for the PPT format (at least when I reopen the PPT in LibreOffice Impress). PPTX output is covered in a different bug: https://bugs.documentfoundation.org/show_bug.cgi?id=43547.
Comment 9 QA Administrators 2019-10-23 02:48:03 UTC
Dear Christophe Strobbe,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug